Skip to content
Commits on Jan 17, 2015
  1. @abotalov
Commits on Aug 31, 2014
  1. @abotalov

    Some doc fixes

    abotalov committed
Commits on Aug 24, 2014
  1. @abotalov

    Rubyforge is dead

    abotalov committed
  2. @abotalov
  3. @abotalov
  4. @abotalov

    Cleanup save_* family of methods

    abotalov committed
    * Better YARD documentation
    * Make `path` argument of `save_screenshpt` `nil` by default
    * Add `options` argument for `save_and_open_screenshot`
Commits on Jul 1, 2014
  1. @abotalov

    Use diffferent queries for searching

    abotalov committed
    * Add assert_text, assert_no_text, assert_title, assert_no_title
    * Refactor query resolving
    * Improve failure messages for have_text, have_title RSpec matchers (they will be the same as for added assert_* methods)
    * Add Simple#inspect
Commits on Jun 26, 2014
  1. @abotalov

    Optimize become_closed matcher

    abotalov committed
Commits on Jun 19, 2014
  1. @abotalov
Commits on Jun 1, 2014
  1. @abotalov

    Fix bug with scopes when within_window is invoked inside within

    abotalov committed
    Also fix intermittent spec failures
Commits on May 28, 2014
  1. @abotalov
Commits on May 26, 2014
  1. @abotalov

    Add maximize window

    abotalov committed
  2. @abotalov
  3. @abotalov
Commits on May 13, 2014
  1. @abotalov
Commits on Apr 3, 2014
  1. @abotalov
Commits on Feb 5, 2014
  1. @abotalov

    Build on latest rbx version

    abotalov committed
  2. @abotalov
Commits on Jan 25, 2014
  1. @abotalov
Commits on Oct 30, 2013
  1. @abotalov

    Remove note about within matching first element

    abotalov committed
    I think it can be just removed as it's said in section about :match
Commits on Oct 29, 2013
  1. @abotalov
Commits on Jul 1, 2013
  1. @abotalov

    Remove `require 'capybara/dsl'` from cucumber.rb

    abotalov committed
    This file is already required in capybara.rb
Commits on Jun 20, 2013
  1. @abotalov
Commits on Mar 27, 2013
  1. @abotalov

    Merge pull request #1031 from abotalov/readme-update

    abotalov committed
    Update Readme section about Capybara.app
  2. @abotalov

    Update Readme section about Capybara.app

    abotalov committed
    One of users [had a problem with it recently](http://stackoverflow.com/q/15665106/841064)
Commits on Mar 10, 2013
  1. @abotalov
  2. @abotalov
  3. @abotalov

    Require Ruby >= 1.9.3

    abotalov committed
    Last patch version of Ruby 1.9.2 (p320) was released in April 2012, almost a year ago.
    Since than 4 patch versions for 1.9.3 were released: : [fix1][1], [fix2][2], [fix3][3]
    1.9.2 doesn't contain fixes for them so I think it's not supported
    
      [1]: http://www.ruby-lang.org/en/news/2012/11/09/ruby19-hashdos-cve-2012-5371/
      [2]: http://www.ruby-lang.org/en/news/2013/02/22/json-dos-cve-2013-0269/
      [3]: http://www.ruby-lang.org/en/news/2013/02/22/rexml-dos-2013-02-22/
Commits on Mar 4, 2013
  1. @abotalov
Commits on Mar 3, 2013
  1. @abotalov

    Add count options to has_text

    abotalov committed
Commits on Feb 24, 2013
  1. @abotalov

    Run travis tests in ruby 2.0.0

    abotalov committed
Commits on Feb 19, 2013
  1. @abotalov
Commits on Jan 9, 2013
  1. @abotalov

    Remove broken selector

    abotalov committed
Commits on Jan 8, 2013
  1. @abotalov
Commits on Jan 7, 2013
  1. @abotalov

    Remove info about thin from rdoc

    abotalov committed
    Capybara doesn't use thin from version 2.0.2
Something went wrong with that request. Please try again.